﻿using System;
using System.Threading.Tasks;
using Tizen.Applications;
using Tizen.Applications.Notifications;
using TizenAlarm.TizenMobile;
using Xamarin.Forms;

[assembly: Dependency(typeof(TizenAlarmSetter))]
namespace TizenAlarm.TizenMobile
{
    class TizenAlarmSetter : IAlarmSetter
    {
        public void SetAlarm(DateTime time, string notifiText)
        {
            Notification noti = new Notification();
            noti.Title = "Alarm";
            noti.Content = notifiText;
            noti.IsDisplay = true;
            noti.AddStyle(new Notification.ActiveStyle());
            AlarmManager.CreateAlarm(time, noti);
         }
    }
}
